### Method

# Foundry GitCommitBuilder dup_signing_format

since: 1.1

#### Declaration [src]

    char*
    foundry_git_commit_builder_dup_signing_format (
      FoundryGitCommitBuilder* self
    )

#### Description [src]

Gets the signing format that will be used for signing the commit.

Available since: 1.1

#### Return value

Type: `char*`

The signing format (e.g. “gpg” or “ssh”), or `NULL` if not set. The caller should free the returned string with `g_free()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.